Name:           ftgl
Version:        2.1.2
Release:        2%{?dist}
Summary:        OpenGL frontend to Freetype 2

Group:          System Environment/Libraries
License:        LGPL
URL:            http://homepages.paradise.net.nz/henryj/code/index.html#FTGL
Source0:        http://opengl.geek.nz/ftgl/ftgl-%{version}.tar.gz
Patch0:         ftgl-2.1.2-destdir.patch
Patch1:         ftgl-2.1.2-Glyph-g++_41.patch
Patch2:         ftgl-2.1.2-pc_req.patch
Patch3:         ftgl-2.1.2-ttf_font.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  freeglut-devel
BuildRequires:  freetype-devel
BuildRequires:  doxygen
BuildRequires:  mesa-libGLU-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  libX11-devel
BuildRequires:  libXi-devel
BuildRequires:  libXmu-devel


%description
FTGL is a free open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org)  applications.
Unlike other OpenGL font libraries FTGL uses standard font file formats
so doesn't need a preprocessing step to convert the high quality font data
into a lesser quality, proprietary format.
FTGL uses the Freetype (www.freetype.org) font library to open and 'decode'
the fonts. It then takes that output and stores it in a format most 
efficient for OpenGL rendering.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n FTGL
%patch0 -p1 -b .destdir
%patch1 -p1 -b .Glyph
%patch2 -p1 -b .req
%patch3 -p1 -b .ttf_font

chmod 0644 README.txt
chmod 0644 include/*
chmod 0644 src/*


%build
cd unix
%configure \
  --enable-shared \
  --disable-static \
  --with-gl-inc=%{_includedir} \
  --with-gl-lib=%{_libdir} \
  --with-glut-inc=%{_includedir} \
  --with-glut-lib=%{_libdir} \
  --with-x

make all %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT unix/__doc
cd unix
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

chmod 0755 $RPM_BUILD_ROOT%{_libdir}/libftgl.so.0.*

rm -rf $RPM_BUILD_ROOT%{_bindir}

# Doc fixes
mkdir -p __doc/html
install -pm 0644 $RPM_BUILD_ROOT%{_datadir}/doc/ftgl/html/* __doc/html
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%clean
rm -rf $RPM_BUILD_ROOT unix/__doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING.txt HISTORY.txt license.txt README.txt
%{_libdir}/*.so.*
#{_bindir}/FTGLDemo

%files devel
%defattr(-,root,root,-)
%doc unix/__doc/*
%{_includedir}/FTGL/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Mon May 28 2007 kwizart < kwizart at gmail.com > - 2.1.2-2
- Add ftgl.pc patch
- Add BR freeglut-devel
- Remove unneeded LDFLAGS
- Cleaned spec file

* Mon May 14 2007 kwizart < kwizart at gmail.com > - 2.1.2-1
- Initial package for Fedora
